Package org.apache.sysds.runtime.instructions.spark.functions

# Class MapInputSignature

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.MapInputSignature

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>`

public class MapInputSignature extends Object implements org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MapInputSignature()`

## Method Summary

Modifier and Type
Method
Description
`MatrixBlock[]`
`call(MatrixBlock v1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapInputSignature

public MapInputSignature()

## Method Details

### call

public MatrixBlock[] call(MatrixBlock v1) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock[]>`
Throws:
  `Exception`